summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorsL1pKn072019-03-17 19:34:18 +0100
committersL1pKn072019-03-17 19:34:18 +0100
commit6ed2138264aa444d73a8f1a8c4e908b4b2e5f216 (patch)
treeb13eeb2d41cadf4185e8f7d2eb09952ed8100f1b
parent00e3abc42b1c0e486940e0026005c9d3d0f1d3de (diff)
downloadaur-avidemux-git.tar.gz
bump, swiched to ffmpeg4x branch
-rw-r--r--.SRCINFO16
-rw-r--r--.gitignore2
-rw-r--r--PKGBUILD13
3 files changed, 14 insertions, 17 deletions
diff --git a/.SRCINFO b/.SRCINFO
index bef82aae7d9..c4e6f322bd0 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,8 +1,8 @@
# Generated by mksrcinfo v8
-# Wed Feb 13 14:55:47 UTC 2019
+# Sun Mar 17 18:33:52 UTC 2019
pkgbase = avidemux-git
pkgdesc = A graphical/cli tool to edit video (filter/re-encode/split). (GIT version)
- pkgver = 2.7.1.190210.ef2af6011
+ pkgver = 2.7.2.190317.04c29e0e8
pkgrel = 1
url = http://www.avidemux.org
arch = x86_64
@@ -39,7 +39,8 @@ pkgbase = avidemux-git
makedepends = qt5-tools
makedepends = libxv
makedepends = vapoursynth
- source = avidemux::git+https://github.com/mean00/avidemux2.git
+ makedepends = hicolor-icon-theme
+ source = avidemux::git+https://github.com/mean00/avidemux2.git#branch=ffmpeg4x
source = fix_verbose.patch
source = add_settings_pluginui_message_error.patch
source = opus_check.patch
@@ -69,23 +70,23 @@ pkgname = avidemux-core-git
depends = opencore-amr
depends = twolame
depends = libxvidcore.so
- depends = sqlite
depends = x264
depends = x265
optdepends = avidemux-qt-git: a Qt GUI for Avidemux
optdepends = avidemux-cli-git: a CLI frontend for Avidemux
optdepends = wine: AVSload (Load Avisynth scripts on Avidemux)
- optdepends = vapoursynth: vsProxy (Load Vapoursynth scripts on Avidemux
+ optdepends = vapoursynth: vsProxy (Load Vapoursynth scripts on Avidemux)
provides = avidemux-core
conflicts = avidemux-core
pkgname = avidemux-qt-git
pkgdesc = Qt GUI for Avidemux. (GIT version)
- depends = avidemux-core-git>=2.7.1.190210.ef2af6011
+ depends = avidemux-core-git>=2.7.2.190317.04c29e0e8
depends = qt5-script
depends = libxv
depends = glu
depends = desktop-file-utils
+ depends = hicolor-icon-theme
provides = avidemux-qt
conflicts = avidemux-qt4
conflicts = avidemux-qt5
@@ -93,8 +94,7 @@ pkgname = avidemux-qt-git
pkgname = avidemux-cli-git
pkgdesc = CLI frontend for Avidemux. (GIT version)
- depends = avidemux-core-git>=2.7.1.190210.ef2af6011
- depends = gcc-libs
+ depends = avidemux-core-git>=2.7.2.190317.04c29e0e8
provides = avidemux-cli
conflicts = avidemux-cli
diff --git a/.gitignore b/.gitignore
index 3bf1dcd72a9..2e68361d601 100644
--- a/.gitignore
+++ b/.gitignore
@@ -3,7 +3,5 @@
!.SRCINFO
!PKGBUILD
!add_settings_pluginui_message_error.patch
-!build-x264-x265-status-message-add-empty-lines.patch
-!fix_nvenc_check.patch
!fix_verbose.patch
!opus_check.patch
diff --git a/PKGBUILD b/PKGBUILD
index e8c6d5da105..a7f7a40479c 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -5,7 +5,7 @@ pkgname=('avidemux-core-git'
'avidemux-qt-git'
'avidemux-cli-git'
)
-pkgver=2.7.1.190210.ef2af6011
+pkgver=2.7.2.190317.04c29e0e8
pkgrel=1
pkgdesc="A graphical/cli tool to edit video (filter/re-encode/split). (GIT version)"
arch=('x86_64')
@@ -43,8 +43,9 @@ makedepends=('git'
'qt5-tools'
'libxv'
'vapoursynth'
+ 'hicolor-icon-theme'
)
-source=('avidemux::git+https://github.com/mean00/avidemux2.git'
+source=('avidemux::git+https://github.com/mean00/avidemux2.git#branch=ffmpeg4x'
'fix_verbose.patch'
'add_settings_pluginui_message_error.patch'
'opus_check.patch'
@@ -187,14 +188,13 @@ package_avidemux-core-git() {
'opencore-amr'
'twolame'
'libxvidcore.so'
- 'sqlite'
'x264'
'x265'
)
optdepends=('avidemux-qt-git: a Qt GUI for Avidemux'
'avidemux-cli-git: a CLI frontend for Avidemux'
'wine: AVSload (Load Avisynth scripts on Avidemux)'
- 'vapoursynth: vsProxy (Load Vapoursynth scripts on Avidemux'
+ 'vapoursynth: vsProxy (Load Vapoursynth scripts on Avidemux)'
)
provides=('avidemux-core')
conflicts=('avidemux-core')
@@ -214,6 +214,7 @@ package_avidemux-qt-git() {
'libxv'
'glu'
'desktop-file-utils'
+ 'hicolor-icon-theme'
)
provides=('avidemux-qt')
conflicts=('avidemux-qt4'
@@ -227,9 +228,7 @@ package_avidemux-qt-git() {
package_avidemux-cli-git() {
pkgdesc="CLI frontend for Avidemux. (GIT version)"
- depends=("avidemux-core-git>=${pkgver}"
- 'gcc-libs'
- )
+ depends=("avidemux-core-git>=${pkgver}")
provides=('avidemux-cli')
conflicts=('avidemux-cli')